#include "discoamics.h"
#include "ui_discoamics.h"

DiscoAmics::DiscoAmics(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::DiscoAmics)
{
    ui->setupUi(this);
    amE = new Amics;
    amE->vSetNom("Nom esquerra");
    amD = new Amics;
    amD->vSetCognom("Cognom dreta");
    ui->verticalLayoutEsquerra->addWidget(amE);
    ui->verticalLayoutDreta->addWidget(amD);
}

DiscoAmics::~DiscoAmics()
{
    delete ui;
}

void DiscoAmics::on_btIntercanvia_clicked()
{
    QString qszN = amE->qszNom();
    QString qszC = amE->qszCognom();
    amE->vSetNom(amD->qszNom());
    amE->vSetCognom(amD->qszCognom());
    amD->vSetNom(qszN);
    amD->vSetCognom(qszC);
}
